# Uses of Record Class
org.apache.lucene.store.MergeInfo

Packages that use MergeInfo
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of MergeInfo in org.apache.lucene.index

  Methods in org.apache.lucene.index that return MergeInfo
  Modifier and Type
  Method
  Description
  `MergeInfo`
  MergePolicy.OneMerge.`getStoreMergeInfo()`
  Return `MergeInfo` describing this merge.

- ## Uses of MergeInfo in org.apache.lucene.store

  Methods in org.apache.lucene.store that return MergeInfo
  Modifier and Type
  Method
  Description
  `MergeInfo`
  IOContext.`mergeInfo()`
  Merge info, if `IOContext.context()` is `IOContext.Context.MERGE`
  Methods in org.apache.lucene.store with parameters of type MergeInfo
  Modifier and Type
  Method
  Description
  `static IOContext`
  IOContext.`merge(MergeInfo mergeInfo)`
  Returns an `IOContext` for merging with the specified `MergeInfo`